Spark – Instalação e integração com Openfire.

Mensageiro Spark

Spark é um aplicativo de mensagens instantâneas open source, baseado no protocolo XMPP, multi-plataforma, otimizado para empresas e organizações.  O programa possui uma interface gráfica leve, além de muitos recursos, abaixo algumas de suas funcionalidades:

  • Suporte para bate-papo em grupo,
  • Transferência de arquivos.
  • Verificação ortográfica e suporte automatizado à tradução de mensagens.
  • Conversas com guias.
  • Suporte a plugins.

Instalação 

Pré-requisito: Java 8

Acesse o site https://www.igniterealtime.org/downloads/, clique no botão [ Linux ] e baixe o pacote spark_2_8_1.deb.

Download Spark

Acesse o terminal como root, entre na pasta onde salvou o arquivo .deb e execute o comando abaixo para instalar.Continue lendo

Openfire – Criando Usuários e Grupos.

Openfire

No post Openfire 4.0.3 no Debian 8 ensinei com instalar um servidor de chat com o Openfire, agora dando continuidade, criaremos um usuário e um grupo.

Criando o primeiro usuário

Para criar um usuário no servidor acesse o endereço http://[ipdoseuservidor]:9090. Clique no menu “Usuários/Grupos“, submenu “Usuários”, opção “Criar novo usuário“.

adicionar usuário

Na próxima etapa preencha os dados do novo usuário, caso queira que o novo usuário tenha perfil de administrador, marque o checkbox da pergunta “Is Administrator?“.  Para concluir a criação do usuário clique no botão [ Criar Usuário ].

adicionar usuário

Após clicar no botão [ Criar usuário ] recebemos a notificação de que o usuário foi criado com sucesso! Continue lendo

Openfire 4.0.3 no Debian 8

Openfire

Openfire (anteriormente Wildfire) é um servidor de bate-papo de mensagens instantâneas (IM) e de grupo, multiplataforma, baseado no protocolo XMPP (Jabber), escrito em Java e licenciado sob a Open Source Apache License, incrivelmente fácil de configurar e administrar, super leve e ainda oferece segurança e desempenho sólido.

Instalação

Acesse o site https://www.igniterealtime.org/downloads, escolha o botão [ Linux ] e baixe o pacote openfire_4.0.3_all.deb.Continue lendo